Alembic: Alembic::Abc::ALEMBIC_VERSION_NS::OArchive Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::OArchive Class Reference
Inheritance diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OArchive:
[legend]
Collaboration diagram for Alembic::Abc::ALEMBIC_VERSION_NS::OArchive:
[legend]

## Public Types
typedef OArchive | this_type

## Public Member Functions
| OArchive ()
template<class ARCHIVE_CTOR>
| OArchive (ARCHIVE_CTOR iCtor, const std::string &iFileName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OArchive (AbcA::ArchiveWriterPtr iPtr, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| OArchive (AbcA::ArchiveWriterPtr iPtr, WrapExistingFlag, ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy)
| ~OArchive ()
std::string | getName () const
OObject | getTop ()
int8_t | getCompressionHint () const
void | setCompressionHint (int8_t iCh)
uint32_t | addTimeSampling (const AbcA::TimeSampling &iTs)
AbcA::TimeSamplingPtr | getTimeSampling (uint32_t iIndex)
uint32_t | getNumTimeSamplings ()
AbcA::ArchiveWriterPtr | getPtr ()
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Additional Inherited Members
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Member Typedef Documentation

## ◆ this_type

typedef OArchive Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::this_type

By convention, we always define "this_type" in every Abc class. This convention is relied upon by the unspecified-bool-type conversion.

## Constructor & Destructor Documentation

## ◆ OArchive() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive | ( |  | ) |
| inline

The default constructor creates an empty OArchive function set. ...

## ◆ OArchive() [2/3]

template<class ARCHIVE_CTOR>

Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive | ( | ARCHIVE_CTOR | iCtor,
|  | const std::string & | iFileName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument() )

The explicit constructor creates an archive with the given file name. Additional arguments that may be passed are the error handling policy and meta data.

Parameters

  iCtor | We need to pass in a constructor which provides an explicit link to the concrete implementation of AbcCoreAbstract that we're using.
  iFileName | File name
  iArg0 | Optionally could be the error handling policy, or the meta data.
  iArg1 | Optionally could be the error handling policy, or the meta data.

## ◆ OArchive() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive | ( | AbcA::ArchiveWriterPtr | iPtr,
|  | ErrorHandler::Policy | iPolicy = ErrorHandler::kThrowPolicy )
| inline

This attaches an OArchive wrapper around an existing ArchiveWriterPtr, with an optional error handling policy.

Parameters

  iPtr | The pointer ...
  iPolicy | Optional error handling policy ...

## ◆ ~OArchive()

Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::~OArchive | ( |  | ) |

Destructor ...

## Member Function Documentation

## ◆ addTimeSampling()

uint32_t Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::addTimeSampling | ( | const AbcA::TimeSampling & | iTs | ) |

Adds the TimeSampling to the Archive TimeSampling pool. If the TimeSampling already exists in the pool, the index for the match should be returned. index 0 is automatically reserved for uniform time sampling with a start time of 0 and time per cycle of 1 (aka identity sampling)

## ◆ ALEMBIC_OPERATOR_BOOL()

Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

The unspecified-bool-type operator casts the object to "true" if it is valid, and "false" otherwise.

## ◆ getCompressionHint()

int8_t Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::getCompressionHint | ( |  | ) | const

Get the compression applied to array properties. The value will be -1 for uncompressed, and 0-9 for weak through strong gzip compression.

## ◆ getName()

std::string Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::getName | ( |  | ) | const

Default copy constructor Default assignment operator

Returns the file name. It is an error to do so with an invalid object.

## ◆ getNumTimeSamplings()

uint32_t Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::getNumTimeSamplings | ( |  | ) |

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

## ◆ getPtr()

AbcA::ArchiveWriterPtr Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::getPtr | ( |  | ) |
| inline

getPtr, as usual, returns a shared ptr to the underlying AbcCoreAbstract object, in this case the ArchiveWriterPtr.

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::getTimeSampling | ( | uint32_t | iIndex | ) |

Returns the TimeSampling at a given index. index 0 is automatically reserved for uniform time sampling with a start time of 0 and time per cycle of 1 (aka identity sampling)

## ◆ getTop()

OObject Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::getTop | ( |  | ) |

This returns the single top-level OObject that exists automatically as part of the archive.

## ◆ reset()

void Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::reset | ( |  | ) |
| inline

Reset returns this function set to an empty, default state.

## ◆ setCompressionHint()

void Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::setCompressionHint | ( | int8_t | iCh | ) |

Set the compression applied to array properties. Value of -1 means uncompressed, and values of 0-9 indicate increasingly compressed data, at the expense of time.

## ◆ valid()

bool Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::valid | ( |  | ) | const
| inline

Valid returns whether this function set is valid.

The documentation for this class was generated from the following files:

- Abc/OArchive.h
- Abc/OArchive.cpp